## org.eclipse.datatools.enablement.sybase.ddl
Interface ISybaseDdlGenerator

All Superinterfaces:
  DDLGenerator

All Known Implementing Classes:
  SybaseASADdlGenerator, SybaseASEDdlGenerator, SybaseDdlGenerator

    public interface ISybaseDdlGenerator

extends DDLGenerator

Method Summary
`EngineeringOption[]` `createGenerationOptions()`
`java.lang.String[]` `createSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, boolean fullSyntax, org.eclipse.core.runtime.IProgressMonitor progressMonitor)`
`java.lang.String[]` `createSQLObjects(SQLObject[] elements, EngineeringOption[] options, org.eclipse.core.runtime.IProgressMonitor progressMonitor)`
`java.lang.String[]` `createSQLObjectsForDeltaDDL(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, boolean fullSyntax, org.eclipse.core.runtime.IProgressMonitor progressMonitor)` Delta ddl version of `createSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, IProgressMonitor progressMonitor)`.
`java.lang.String[]` `dropSQLObjects(SQLObject[] elements, EngineeringOption[] options, org.eclipse.core.runtime.IProgressMonitor progressMonitor)`
`java.lang.String[]` `dropSQLObjectsForDeltaDDL(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, org.eclipse.core.runtime.IProgressMonitor progressMonitor)` Delta ddl version of `dropSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, IProgressMonitor progressMonitor)`.
`java.lang.String[]` `generateDDL(SQLObject[] elements, EngineeringOption[] options, org.eclipse.core.runtime.IProgressMonitor progressMonitor)` generate specified elements ddl script, which style following the specified options
`EngineeringOption[]` `getAdditionalOptions(int objectType)`

Methods inherited from interface org.eclipse.datatools.connectivity.sqm.core.rte.DDLGenerator
`createSQLObjects, createSQLObjects, dropSQLObjects, dropSQLObjects, generateDDL, generateDDL, getOptionCategories, getOptions`

Method Detail

### generateDDL

    java.lang.String[] generateDDL(SQLObject[] elements,
                                   EngineeringOption[] options,
                                   org.eclipse.core.runtime.IProgressMonitor progressMonitor)

  generate specified elements ddl script, which style following the specified options

  Parameters:
    `elements` -
    `options` - control the generation behaviour
    `progressMonitor` -
  Returns:

### createSQLObjects

    java.lang.String[] createSQLObjects(SQLObject[] elements,
                                        EngineeringOption[] options,
                                        org.eclipse.core.runtime.IProgressMonitor progressMonitor)

  Parameters:
    `elements` -
    `options` -
    `progressMonitor` -
  Returns:

### dropSQLObjects

    java.lang.String[] dropSQLObjects(SQLObject[] elements,
                                      EngineeringOption[] options,
                                      org.eclipse.core.runtime.IProgressMonitor progressMonitor)

  Parameters:
    `elements` -
    `options` -
    `progressMonitor` -
  Returns:

### createSQLObjects

    java.lang.String[] createSQLObjects(SQLObject[] elements,
                                        boolean quoteIdentifiers,
                                        boolean qualifyNames,
                                        boolean fullSyntax,
                                        org.eclipse.core.runtime.IProgressMonitor progressMonitor)

### dropSQLObjectsForDeltaDDL

    java.lang.String[] dropSQLObjectsForDeltaDDL(SQLObject[] elements,
                                                 boolean quoteIdentifiers,
                                                 boolean qualifyNames,
                                                 org.eclipse.core.runtime.IProgressMonitor progressMonitor)

  Delta ddl version of `dropSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, IProgressMonitor progressMonitor)`. Different with `dropSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, IProgressMonitor progressMonitor)`, this method should not generate "use db statements", because the framework has already done this.

  Parameters:
    `elements` -
    `quoteIdentifiers` -
    `qualifyNames` -
    `progressMonitor` -
  Returns:

### createSQLObjectsForDeltaDDL

    java.lang.String[] createSQLObjectsForDeltaDDL(SQLObject[] elements,
                                                   boolean quoteIdentifiers,
                                                   boolean qualifyNames,
                                                   boolean fullSyntax,
                                                   org.eclipse.core.runtime.IProgressMonitor progressMonitor)

  Delta ddl version of `createSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, IProgressMonitor progressMonitor)`. Different with `createSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, IProgressMonitor progressMonitor)`, this method should not generate "use db statements", because the framework has already done this.

  Parameters:
    `elements` -
    `quoteIdentifiers` -
    `qualifyNames` -
    `progressMonitor` -
  Returns:

### getAdditionalOptions

    EngineeringOption[] getAdditionalOptions(int objectType)

  Parameters:
    `objectType` -
  Returns:
    cloned additional options apply for spefied object type

### createGenerationOptions

    EngineeringOption[] createGenerationOptions()

  Returns:
    cloned generation options